Loading...
Searching...
No Matches
BALL::DockResultFile Class Reference

`#include <BALL/FORMAT/dockResultFile.h>`

Inheritance diagram for BALL::DockResultFile:

## Public Member Functions

| DockResultFile (const String &name, File::OpenMode open_mode=std::ios::in)
virtual | ~DockResultFile () throw ()
Receptor * | readReceptor ()
void | writeReceptor (Receptor *s)
Ligand * | readLigand ()
bool | writeLigand (Ligand *lig)
void | writeResult (Result *res)
void | writeResults (vector< Result * > &res)
vector< Result * > | readResults ()
void | close ()
const vector< Result * > * | getResults ()
void | addResult (Result *res)
Size | countConformations ()
Public Member Functions inherited from BALL::GenericMolFile
| GenericMolFile ()
| GenericMolFile (const String &filename, File::OpenMode open_mode=std::ios::in)
virtual | ~GenericMolFile ()
const GenericMolFile & | operator= (const GenericMolFile &rhs)
void | defineInputAsTemporary (bool b=true)
void | enableOutputCompression (String zipped_filename)
bool | isCompressedFile ()
virtual bool | write (const System &system)
virtual bool | read (System &system)
virtual GenericMolFile & | operator>> (System &system)
virtual GenericMolFile & | operator<< (const System &system)
virtual GenericMolFile & | operator>> (Molecule &molecule)
virtual GenericMolFile & | operator<< (const Molecule &molecule)
Public Member Functions inherited from BALL::LineBasedFile
| LineBasedFile ()
| Default constructor.
| LineBasedFile (const String &filename, File::OpenMode open_mode=std::ios::in, bool trim_whitespaces=false)
void | clear ()
bool | operator== (const LineBasedFile &f)
bool | operator!= (const LineBasedFile &f)
const LineBasedFile & | operator= (const LineBasedFile &file)
Position | getLineNumber () const
| Get the last line number in the file.
const String & | getLine () const
| Return the current line.
String & | getLine ()
| Return the current line.
bool | readLine ()
bool | skipLines (Size number=1)
bool | search (const String &text, bool return_to_start=false)
bool | search (const String &text, const String &stop, bool return_to_start=false)
bool | gotoLine (Position line_number)
void | rewind ()
void | test (const char *file, int line, bool condition, const String &msg) const
String | getField (Index pos=0, const String &quotes="", const String &delimiters=String::CHARACTER_CLASS__WHITESPACE) const
bool | startsWith (const String &text) const
| Test if the current line starts with text.
bool | has (const String &text) const
| Return true if the current line contains text.
Index | switchString (const std::vector< String > &data) const
bool | parseColumnFormat (const char *format, Position index, Size length, void *arg)
void | enableTrimWhitespaces (bool state)
| Set wheter leading and trailing whitespaces in lines shall be removed.
bool | trimWhiteSpacesEnabled () const
Public Member Functions inherited from BALL::File
| File ()
| File (const String &name, OpenMode open_mode=std::ios::in)
virtual | ~File ()
bool | isValid () const
bool | open (const String &name, File::OpenMode open_mode=std::ios::in)
bool | reopen ()
bool | reopen (File::OpenMode open_mode)
void | close ()
const String & | getName () const
void | setName (const String &name)
const String & | getOriginalName () const
Size | getSize ()
File::OpenMode | getOpenMode () const
Type | getType (bool trace_link) const
bool | copyTo (const String &destination_name, Size buffer_size=4096)
bool | moveTo (const String &destination_name)
bool | remove ()
bool | renameTo (const String &new_path)
bool | truncate (Size size=0)
std::fstream & | getFileStream ()
TransformationManager & | getTransformationManager ()
const TransformationManager & | getTransformationManager () const
bool | operator== (const File &file) const
bool | operator!= (const File &file) const
bool | isOpen () const
bool | isClosed () const
bool | isAccessible () const
bool | isCanonized () const
bool | isReadable () const
bool | isWritable () const
bool | isExecutable () const

## Static Public Attributes

static bool | SHOW_IDENTICAL_LIGANDS_WARNING
Static Public Attributes inherited from BALL::File
static const OpenMode | MODE_IN
| Open for input (default).
static const OpenMode | MODE_OUT
| Open for output.
static const OpenMode | MODE_APP
| Append. Seek to end before each write operation.
static const OpenMode | MODE_BINARY
| Binary mode.
static const OpenMode | MODE_ATE
| Seek to end directly after opening.
static const OpenMode | MODE_TRUNC
| Truncate an existing file.
static const String | TRANSFORMATION_EXEC_PREFIX
| Prefix for filenames that are created through the execution of commands "exec:".
static const String | TRANSFORMATION_FILE_PREFIX
| Prefix for files (to mimick URL-like behavior) "file:".
static const String | TRANSFORMATION_FTP_PREFIX
| Prefix for FTP-transfers "ftp://".
static const String | TRANSFORMATION_HTTP_PREFIX
| Prefix for HTTP-transfer "http://".

## GenericMolecule interface functions

Molecule * | read ()
bool | write (const Molecule &mol)
void | setOutputParameters (Result::Method, String property_name, String &receptor_conf_UID, String method_description="")
void | setToolInfo (const String &toolinfo, const String &timestamp)
void | setInputParameters (list< Size > &selected_results)
void | selectAllResultsForInput ()
void | disableAutomaticResultCreation ()
const FlexibleMolecule * | getCurrentLigand ()

## Additional Inherited Members

Public Types inherited from BALL::File
typedef std::ios::openmode | OpenMode
enum | Transformation { TRANSFORMATION__EXEC = 1 , TRANSFORMATION__FILTER = 2 , TRANSFORMATION__URL = 3 }
enum | Type { TYPE__UNKNOWN = 0 , TYPE__DIRECTORY = 1 , TYPE__CHAR_SPECIAL_FILE = 2 , TYPE__BLOCK_SPECIAL_FILE = 3 , TYPE__REGULAR_FILE = 4 , TYPE__SYMBOLIC_LINK = 5 , TYPE__SOCKET = 6 , TYPE__FIFO_SPECIAL_FILE = 7 }
static Size | getSize (String name)
static Type | getType (String name, bool trace_link)
static bool | copy (String source_name, String destination_name, Size buffer_size=4096)
static bool | move (const String &source_name, const String &destination_name)
static bool | remove (String name)
static bool | rename (String old_path, String new_path)
static bool | truncate (String path, Size size=0)
static bool | createTemporaryFilename (String &temporary, const String &suffix=".TMP")
static void | enableTransformation (Transformation transformation)
static void | disableTransformation (Transformation transformation)
static bool | isTransformationEnabled (Transformation transformation)
static void | registerTransformation (const String &pattern, const String &exec)
static void | unregisterTransformation (const String &pattern)
static bool | isAccessible (String name)
static bool | isReadable (String name)
static bool | isWritable (String name)
static bool | isExecutable (String name)
virtual void | initRead_ ()
virtual void | initWrite_ ()
bool | input_is_temporary_
bool | compress_output_
bool | gmf_is_closed_
String | zipped_filename_
String | line_
| buffer for the line in use
Position | line_number_
| line number in the file
bool | trim_whitespaces_
vector< char > | col_buffer_
| buffer for column parsing
String | name_
String | original_name_
OpenMode | open_mode_
bool | is_open_
bool | is_temporary_
static HashSet< String > | created_temp_filenames_
static TransformationManager | transformation_manager_
static Size | transformation_methods_

## Detailed Description

DockResultFile class. Used to store docking results.

Definition at line 27 of file dockResultFile.h.

## Constructor & Destructor Documentation

## DockResultFile()

BALL::DockResultFile::DockResultFile | ( | const String & | name,
|  | File::OpenMode | open_mode = std::ios::in )

## ~DockResultFile()

virtual BALL::DockResultFile::~DockResultFile | ( |  | ) |
throw | ( | ) |  |  |

virtual

## Member Function Documentation

## addResult()

void BALL::DockResultFile::addResult | ( | Result * | res | ) |

## close()

void BALL::DockResultFile::close | ( |  | ) |

virtual

Close file.

Reimplemented from BALL::GenericMolFile.

## countConformations()

Size BALL::DockResultFile::countConformations | ( |  | ) |

Return the number of unique conformations currently stored in the result-sections of this DockResultFile.

## disableAutomaticResultCreation()

void BALL::DockResultFile::disableAutomaticResultCreation | ( |  | ) |

Disables the automatic creation of Results-items when using write(const Molecule& mol). However, this is only necessary when merging/sorting DockingFiles when Results are set manually.

## getCurrentLigand()

const FlexibleMolecule * BALL::DockResultFile::getCurrentLigand | ( |  | ) |

Return the current Ligand object that was created by the last call of read() or write(const Molecule& mol).

## getResults()

const vector< Result * > * BALL::DockResultFile::getResults | ( |  | ) |

## read()

Molecule * BALL::DockResultFile::read | ( |  | ) |

virtual

Exceptions

  BALL::Exception::ParseError |

Reimplemented from BALL::GenericMolFile.

## readLigand()

Ligand * BALL::DockResultFile::readLigand | ( |  | ) |

Read receptor object.

Returns
  Ligand* pointer to the read Ligand object

Exceptions

  BALL::Exception::ParseError |

## readReceptor()

Receptor * BALL::DockResultFile::readReceptor | ( |  | ) |

Read receptor object.

Returns
  Receptor* pointer to the read Receptor object

Exceptions

  BALL::Exception::ParseError |

## readResults()

vector< Result * > BALL::DockResultFile::readResults | ( |  | ) |

Read result objects.

Returns
  vector of Result pointers

Exceptions

  BALL::Exception::ParseError |

## selectAllResultsForInput()

void BALL::DockResultFile::selectAllResultsForInput | ( |  | ) |

## setInputParameters()

void BALL::DockResultFile::setInputParameters | ( | list< Size > & | selected_results | ) |

## setOutputParameters()

void BALL::DockResultFile::setOutputParameters | ( | Result::Method | ,
|  | String | property_name,
|  | String & | receptor_conf_UID,
|  | String | method_description = "" )

## setToolInfo()

void BALL::DockResultFile::setToolInfo | ( | const String & | toolinfo,
|  | const String & | timestamp )

## write()

bool BALL::DockResultFile::write | ( | const Molecule & | mol | ) |

virtual

Exceptions

  BALL::File::CannotWrite |

Reimplemented from BALL::GenericMolFile.

## writeLigand()

bool BALL::DockResultFile::writeLigand | ( | Ligand * | lig | ) |

Write Ligand object (directly).

Parameters

  pointer | to Ligand object

## writeReceptor()

void BALL::DockResultFile::writeReceptor | ( | Receptor * | s | ) |

Write receptor object (directly).

Parameters

  pointer | to Receptor object

## writeResult()

void BALL::DockResultFile::writeResult | ( | Result * | res | ) |

Write Result object (directly).

Parameters

  pointer | to Result object

## writeResults()

void BALL::DockResultFile::writeResults | ( | vector< Result * > & | res | ) |

Write vector of Result objects (directly).

Parameters

  vector | of pointers to Result objects

## Member Data Documentation

## SHOW_IDENTICAL_LIGANDS_WARNING

bool BALL::DockResultFile::SHOW_IDENTICAL_LIGANDS_WARNING

static

Definition at line 31 of file dockResultFile.h.